HttpServiceRuntimeConstants
Date: 2016-06-25

org.osgi.service.http.runtime

## Class HttpServiceRuntimeConstants

- java.lang.Object
- - org.osgi.service.http.runtime.HttpServiceRuntimeConstants

-     public final class HttpServiceRuntimeConstants
      extends java.lang.Object

  Defines standard names for Http Runtime Service constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HTTP_SERVICE_ENDPOINT` Http Runtime Service service property specifying the endpoints upon which the Http Whiteboard implementation is listening.
    `static java.lang.String` | `HTTP_SERVICE_ID` Http Runtime Service service property to associate the Http Runtime Service with one or more HttpService services.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTTP_SERVICE_ENDPOINT

          public static final java.lang.String HTTP_SERVICE_ENDPOINT

      Http Runtime Service service property specifying the endpoints upon which the Http Whiteboard implementation is listening.

      An endpoint value is a URL or a relative path, to which the Http Whiteboard implementation is listening. For example, `http://192.168.1.10:8080/` or `/myapp/`. A relative path may be used if the scheme and authority parts of the URL are not known, e.g. in a bridged Http Whiteboard implementation. If the Http Whiteboard implementation is serving the root context and neither scheme nor authority is known, the value of the property is "/". Both, a URL and a relative path, must end with a slash.

      An Http Whiteboard implementation can be listening on multiple endpoints.

      The value of this service property must be of type `String`, `String[]`, or `Collection<String>`.

      See Also:
        Constant Field Values

    - #### HTTP_SERVICE_ID

          public static final java.lang.String HTTP_SERVICE_ID

      Http Runtime Service service property to associate the Http Runtime Service with one or more HttpService services.

      If this Http Whiteboard implementation also implements the Http Service Specification, this service property is set to a collection of `service.id` for the `HttpService` services registered by this implementation.

      The value of this service property must be of type `Collection<Long>`.

      See Also:
        Constant Field Values